from django.shortcuts import render
from django.http import HttpResponse, request
from django.views import View 
from .models import Author, Books
from django.views.generic.edit import CreateView, UpdateView
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView


def index(request):
    return render(request, 'bookshelf/home.html',)
    
class BooksListView(ListView):
    model = Books
    template_name='bookshelf/books.html'
    
class BooksDetailView(DetailView):
    model = Books
    template_name='bookshelf/book_details.html'

class BooksCreateView(CreateView):
    model = Books
    template_name = 'bookshelf/add-book.html'
    fields = '__all__'

class BooksUpdateView(UpdateView):
    model = Books
    template_name = 'bookshelf/edit-book.html'
    fields = '__all__'

class AuthorListView(ListView):
    model = Author
    template_name='bookshelf/authors.html'

class AuthorDetailView(DetailView):
    model = Author
    template_name='bookshelf/author_details.html'

class AuthorCreateView(CreateView):
    model = Author
    template_name = 'bookshelf/add-author.html'
    fields = '__all__'

class AuthorUpdateView(UpdateView):
    model = Author
    template_name = 'bookshelf/edit-author.html'
    fields = '__all__'